Debian Bug report logs - #379224
ITA: oo2c -- Optimizing Oberon-2 to ANSI-C Compiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Luk Claes <luk@debian.org>

Date: Sat, 22 Jul 2006 10:33:37 UTC

Owned by: fmw@debian.org

Severity: normal

Fixed in version oo2c/2.1.11-2

Done: fmw@debian.org (Florian M. Weps)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian M. Weps <fmw@debian.org>, <wnpp@debian.org>:
Bug#379224; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Florian M. Weps <fmw@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: O: oo2c -- Optimizing Oberon-2 to ANSI-C Compiler
Date: Sat, 22 Jul 2006 12:30:18 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of oo2c, Florian M. Weps <fmw@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: oo2c
Binary: oo2c, liboo2c
Version: 1.5.9-4.1
Priority: optional
Section: devel
Maintainer: Florian M. Weps <fmw@debian.org>
Build-Depends: libtool (>= 1.3.3-3), autoconf, autoconf2.13, debhelper, libgc-dev
Architecture: any
Standards-Version: 3.5.9
Format: 1.0
Directory: pool/main/o/oo2c
Files:
 fd4eab838536d1a581f3cd6232ee737e 609 oo2c_1.5.9-4.1.dsc
 4833829462b56a6c4e23585697c58599 2159213 oo2c_1.5.9.orig.tar.gz
 c3386573dceab9b96112b644f62fd6a1 13143 oo2c_1.5.9-4.1.diff.gz

Package: oo2c
Priority: optional
Section: devel
Installed-Size: 3488
Maintainer: Florian M. Weps <fmw@debian.org>
Architecture: i386
Version: 1.5.9-4.1
Depends: libc6 (>= 2.3.5-1), libgc1c2, liboo2c (= 1.5.9-4.1), gcc, libc6-dev, libgc-dev
Filename: pool/main/o/oo2c/oo2c_1.5.9-4.1_i386.deb
Size: 1106252
MD5sum: f507adb23094892fce1bdb4c8ae7cf2b
SHA1: ed3c8b6a61976c26d61d014c5221b63af366303e
SHA256: 710a02073fcd0e7d0d9177e93f805cb3782181d9ecbe7b1dd7986cec567c596d
Description: Optimizing Oberon-2 to ANSI-C Compiler
 Oberon-2 is an object-oriented programming language, a successor of
 Pascal, designed by the renowned Niklaus Wirth. It combines the popular
 and proven design of Pascal (strict type system, easy to read code,
 easy to follow program flow, possibility to naturally structure your
 source code) with the modularity of Modula-2 and enhances both of them
 with clean, simple but powerful object-oriented concepts, including
 inheritance, dynamic type information, virtual methods, various access
 rules on class and module basis and a built-in garbage collector.
 .
 OO2C is the first compiler of the Optimizing Oberon-2 Compiler (OOC)
 project.  OOC's goal is to provide optimizing native code Oberon-2
 compilers for a number of popular computer architectures.
 .
 Homepage: http://ooc.sourceforge.net/
Tag: devel::compiler, interface::commandline, role::sw:utility, works-with::software:source

Package: liboo2c
Priority: optional
Section: libs
Installed-Size: 360
Maintainer: Florian M. Weps <fmw@debian.org>
Architecture: i386
Source: oo2c
Version: 1.5.9-4.1
Depends: libc6 (>= 2.3.5-1)
Filename: pool/main/o/oo2c/liboo2c_1.5.9-4.1_i386.deb
Size: 139470
MD5sum: 344a8b1fec0475ce431377fa0923a7dd
SHA1: f9cfdebf3fe7cefa7c348248763d1d232089e7f3
SHA256: f6eba6479fcfa467ab76d0af78cff79cdc300f008ae707ae0bed7609a137259e
Description: Optimizing Oberon-2 to ANSI-C Compiler (library)
 OO2C is the first compiler of the Optimizing Oberon-2 Compiler (OOC)
 project.  OOC's goal is to provide optimizing native code Oberon-2
 compilers for a number of popular computer architectures.  Programs
 built with OO2C require this library.
 .
 Homepage: http://ooc.sourceforge.net/
Tag: devel::library


-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from "Florian M. Weps" <fmw@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as fmw@debian.org. Request was from "Florian M. Weps" <fmw@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to fmw@debian.org (Florian M. Weps):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 379224-close@bugs.debian.org (full text, mbox):

From: fmw@debian.org (Florian M. Weps)
To: 379224-close@bugs.debian.org
Subject: Bug#379224: fixed in oo2c 2.1.11-2
Date: Thu, 19 Oct 2006 15:05:52 -0700
Source: oo2c
Source-Version: 2.1.11-2

We believe that the bug you reported is fixed in the latest version of
oo2c, which is due to be installed in the Debian FTP archive:

liboo2c_2.1.11-2_i386.deb
  to pool/main/o/oo2c/liboo2c_2.1.11-2_i386.deb
oo2c_2.1.11-2.diff.gz
  to pool/main/o/oo2c/oo2c_2.1.11-2.diff.gz
oo2c_2.1.11-2.dsc
  to pool/main/o/oo2c/oo2c_2.1.11-2.dsc
oo2c_2.1.11-2_i386.deb
  to pool/main/o/oo2c/oo2c_2.1.11-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379224@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian M. Weps <fmw@debian.org> (supplier of updated oo2c package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Oct 2006 19:24:36 +0200
Source: oo2c
Binary: liboo2c oo2c
Architecture: source i386
Version: 2.1.11-2
Distribution: unstable
Urgency: low
Maintainer: Florian M. Weps <fmw@debian.org>
Changed-By: Florian M. Weps <fmw@debian.org>
Description: 
 liboo2c    - Optimizing Oberon-2 to ANSI-C Compiler (library)
 oo2c       - Optimizing Oberon-2 to ANSI-C Compiler
Closes: 257812 306653 327528 329791 379224
Changes: 
 oo2c (2.1.11-2) unstable; urgency=low
 .
   * New upstream release (Closes: #257812)
   * Revived maintainer (Closes: #379224)
   * Bug Fix "uninstallable" thanks to Steve Langasek (Closes: #327528)
   * Bug Fix "FTBFS" thanks to Steve Langasek (Closes: #306653)
   * Compiles on powerpc (Closes: #329791)
Files: 
 aa97c6750e2dd6ab2c37a61b6c7f9642 594 devel optional oo2c_2.1.11-2.dsc
 ee7b72ae4d135b894a5602f3438d3df5 12795 devel optional oo2c_2.1.11-2.diff.gz
 56db6f5076f70aaa9d3a202b2006e325 2162732 devel optional oo2c_2.1.11-2_i386.deb
 752563a6731b144e7bbe0fcd828b842b 406372 libs optional liboo2c_2.1.11-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFN98qSndYHLNKDx0RAqJhAKCcJJLQmIJilBRQE+jizjwybSlQLgCePNOz
i5+ni/b1XXACiAVjlaAEyqM=
=cSEs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:52:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:28:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.